Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030120
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2015-06-07 15:282015-06-11 00:49
ReportermtaalView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionba00fcc9d5bf
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030120: ScrollableResults object should be closed

DescriptionIn Oracle not closing a ScrollableResults results in a memory leak. I found several places in the functional code where this was indeed not done. These are listed below.
Steps To ReproduceSee these classes:
org.openbravo.costing.LandedCostDistributionByAmount
org.openbravo.costing.LandedCostProcess
org.openbravo.costing.LCMatchingProcess
org.openbravo.costing.StandardCostAdjustment
org.openbravo.event.GLJournalEventHandler (close is within if block, should not)
Proposed Solutionclose the ScrollableResults in a finally block:
    ScrollableResults receiptamts = qryLCRLA.scroll(ScrollMode.FORWARD_ONLY);
    int i = 0;
    try {
     while (receiptamts.next()) {
      log.debug("Process receipt amounts");
      Object[] receiptAmt = receiptamts.get();
     }
    } finally {
     receiptamts.close();
    }
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00301193.0PR15Q3 closedcaristu Openbravo ERP ScrollableResults object should be closed 
related to defect 0030118RR15Q3 closedmtaal Retail Modules ScrollableResults object should be closed 

-  Notes
(0078186)
hgbot (developer)
2015-06-10 17:04

Repository: erp/devel/pi
Changeset: ba00fcc9d5bf81ba13af873a3ba95a9af9131009
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Jun 10 09:56:13 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ba00fcc9d5bf81ba13af873a3ba95a9af9131009 [^]

Fixes Issue 30120:ScrollableResults object should be closed

ScrollableResults objects are closed in a finally block.

---
M src/org/openbravo/costing/LCMatchingProcess.java
M src/org/openbravo/costing/LandedCostDistributionByAmount.java
M src/org/openbravo/costing/LandedCostProcess.java
M src/org/openbravo/costing/StandardCostAdjustment.java
M src/org/openbravo/event/GLJournalEventHandler.java
---
(0078187)
hgbot (developer)
2015-06-10 17:05

Repository: erp/devel/pi
Changeset: 4c6de7a747e1edb3d396337d066e3676286b675c
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Jun 10 17:02:19 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4c6de7a747e1edb3d396337d066e3676286b675c [^]

Related to issue 30120: Applied OB code format

---
M src/org/openbravo/costing/StandardCostAdjustment.java
M src/org/openbravo/event/GLJournalEventHandler.java
---
(0078188)
vmromanos (developer)
2015-06-10 17:06

Code review OK
(0078201)
hudsonbot (developer)
2015-06-11 00:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/29888743cfde [^]
Maturity status: Test
(0078202)
hudsonbot (developer)
2015-06-11 00:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/29888743cfde [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-06-07 15:28 mtaal New Issue
2015-06-07 15:28 mtaal Assigned To => Triage Finance
2015-06-07 15:28 mtaal Modules => Core
2015-06-07 15:28 mtaal Triggers an Emergency Pack => No
2015-06-07 15:29 mtaal Relationship added related to 0030119
2015-06-07 15:33 mtaal Relationship added related to 0030118
2015-06-10 06:02 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-06-10 06:02 AtulOpenbravo Status new => scheduled
2015-06-10 17:04 hgbot Checkin
2015-06-10 17:04 hgbot Note Added: 0078186
2015-06-10 17:04 hgbot Status scheduled => resolved
2015-06-10 17:04 hgbot Resolution open => fixed
2015-06-10 17:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ba00fcc9d5bf81ba13af873a3ba95a9af9131009 [^]
2015-06-10 17:05 hgbot Checkin
2015-06-10 17:05 hgbot Note Added: 0078187
2015-06-10 17:06 vmromanos Review Assigned To => vmromanos
2015-06-10 17:06 vmromanos Note Added: 0078188
2015-06-10 17:06 vmromanos Status resolved => closed
2015-06-11 00:49 hudsonbot Checkin
2015-06-11 00:49 hudsonbot Note Added: 0078201
2015-06-11 00:49 hudsonbot Checkin
2015-06-11 00:49 hudsonbot Note Added: 0078202


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker